GrailsAwareInjectionOperation (Grails 6.0.0)

Package: org.grails.compiler.injection

## [Java] Class GrailsAwareInjectionOperation

- org.grails.compiler.injection.GrailsAwareInjectionOperation

-     public class GrailsAwareInjectionOperation
      extends CompilationUnitPrimaryClassNodeOperation

  A Groovy compiler injection operation that uses a specified array of ClassInjector instances to attempt AST injection.

  Authors:
    Graeme Rocher
  Since:
    0.6

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static java.lang.String` | `INJECTOR_CODEHAUS_SCAN_PACKAGE` |
    `private static java.lang.String` | `INJECTOR_SCAN_PACKAGE` |
    `private static ClassInjector[]` | `classInjectors` |
    `private static ClassInjector[]` | `globalClassInjectors` |
    `private ClassInjector[]` | `localClassInjectors` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsAwareInjectionOperation ()`
    `GrailsAwareInjectionOperation (ClassInjector[] classInjectors)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `call(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)`
    `` | `public int` | `compare(ClassInjector classInjectorA, ClassInjector classInjectorB)`
    `` | `public static ClassInjector[]` | `getClassInjectors()`
    `` | `public static ClassInjector[]` | `getGlobalClassInjectors()`
    `` | `public ClassInjector[]` | `getLocalClassInjectors()`
    `` | `private static void` | `initializeState()`
    `` | `private static org.springframework.core.io.Resource[]` | `scanForPatterns(PathMatchingResourcePatternResolver resolver, java.lang.String patterns)`
    `` | `public org.springframework.asm.AnnotationVisitor` | `visitAnnotation(java.lang.String desc, boolean visible)`

- - ### Field Detail

    - #### private static final java.lang.String INJECTOR_CODEHAUS_SCAN_PACKAGE

    - #### private static final java.lang.String INJECTOR_SCAN_PACKAGE

    - #### private static ClassInjector[] classInjectors

    - #### private static ClassInjector[] globalClassInjectors

    - #### private ClassInjector[] localClassInjectors

  - ### Constructor Detail

    - #### public GrailsAwareInjectionOperation()

    - #### public GrailsAwareInjectionOperation(ClassInjector[] classInjectors)

  - ### Method Detail

    - #### @java.lang.Override public void call(org.codehaus.groovy.control.SourceUnit source, org.codehaus.groovy.classgen.GeneratorContext context, org.codehaus.groovy.ast.ClassNode classNode)

    - #### @java.lang.SuppressWarnings({ "unchecked", "rawtypes" }) public int compare(ClassInjector classInjectorA, ClassInjector classInjectorB)

    - #### public static ClassInjector[] getClassInjectors()

    - #### public static ClassInjector[] getGlobalClassInjectors()

    - #### public ClassInjector[] getLocalClassInjectors()

    - #### private static void initializeState()

    - #### private static org.springframework.core.io.Resource[] scanForPatterns(PathMatchingResourcePatternResolver resolver, java.lang.String patterns)

    - #### @java.lang.Override public org.springframework.asm.AnnotationVisitor visitAnnotation(java.lang.String desc, boolean visible)